Bug 216507 - graphics/gd: update to 2.2.4
Summary: graphics/gd: update to 2.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-26 20:57 UTC by Piotr Kubaj
Modified: 2017-01-31 06:44 UTC (History)
2 users (show)

See Also:
pkubaj: merge-quarterly?


Attachments
patch (2.18 KB, patch)
2017-01-26 20:57 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (dinoex)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-01-26 20:57:30 UTC
Created attachment 179339 [details]
patch

This patch fixes the following vulnerability:
https://github.com/libgd/libgd/commit/69d2fd2c597ffc0c217de1238b9bf4d4bceba8e6

As such, MFH is recommended.

Builds fine with Poudriere on 10.3.
Comment 1 Dirk Meyer freebsd_committer 2017-01-28 19:43:20 UTC
does not build here:

--- gd_webp.lo ---
gd_webp.c:198:3: error: non-void function '_gdImageWebpCtx' should return a value [-Wreturn-type]
                return;
                ^
gd_webp.c:202:3: error: non-void function '_gdImageWebpCtx' should return a value [-Wreturn-type]
                return;
                ^
2 errors generated.
*** [gd_webp.lo] Error code 1

make[4]: stopped in /data/image/usr/ports/current/gd/work/libgd-2.2.4/src

working on a fix.
Comment 2 commit-hook freebsd_committer 2017-01-28 19:58:08 UTC
A commit references this bug:

Author: dinoex
Date: Sat Jan 28 19:57:51 UTC 2017
New revision: 432648
URL: https://svnweb.freebsd.org/changeset/ports/432648

Log:
  - update to 2.2.4
  PR:		216507
  Submitted by:	Piotr Kubaj
  MFH:		2017Q1

Changes:
  head/graphics/gd/Makefile
  head/graphics/gd/distinfo
  head/graphics/gd/files/patch-gd_webp.c
  head/graphics/gd/files/patch-gdft.c
  head/graphics/gd/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-01-31 06:44:36 UTC
A commit references this bug:

Author: dinoex
Date: Tue Jan 31 06:43:58 UTC 2017
New revision: 432902
URL: https://svnweb.freebsd.org/changeset/ports/432902

Log:
  MFH: r432648

  - update to 2.2.4
  PR:		216507
  Submitted by:	Piotr Kubaj

  Approved by:	portmgr (Mark Felder)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/graphics/gd/Makefile
  branches/2017Q1/graphics/gd/distinfo
  branches/2017Q1/graphics/gd/files/patch-gd_webp.c
  branches/2017Q1/graphics/gd/files/patch-gdft.c
  branches/2017Q1/graphics/gd/pkg-plist